Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005079 [JEDI VCL] 00 JVCL Components minor have not tried 2009-12-28 19:59 2011-06-10 16:09
Reporter Robert Rossmair View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005079: TJvRas32 limited to 50 phone book entries
Description see TJvRas32.RefreshPhoneBook. It not only provides a buffer for a maximum of 50 entries, but silently "deals" with API function RasEnumEntries returning ERROR_BUFFER_TOO_SMALL by throwing away all entries above 0000050 (which IMO is not a prudent thing to do).

Note that I am not affected; I only stumbled over this problem being discussed in a forum I visited: http://entwickler-forum.de/showthread.php?t=56871. [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0017040)
obones (administrator)
2009-12-29 09:54

Please provide the zipped sources of a sample application showing this
(0017043)
AHUser (developer)
2009-12-29 10:19

@obones: Could be complicated unless you have installed more than 50 RAS connections. The limit is hard coded "array [1..50] of...".
(0017052)
Robert Rossmair (administrator)
2009-12-30 21:11

Olivier, I am reporting this as a fellow JEDI developer who noticed an obvious problem with the code. I don't use this code; if I was interested enough to create a sample app, I could have provided a fix as well.
(0017053)
obones (administrator)
2009-12-30 21:45

Hum, yes, you're right, I was in "quick sort" mode when I answered this issue.
And with the comment from Andreas, it's quite obvious now.
(0017055)
obones (administrator)
2009-12-31 11:43

This is now solved in SVN

- Issue History
Date Modified Username Field Change
2009-12-28 19:59 Robert Rossmair New Issue
2009-12-29 09:54 obones Note Added: 0017040
2009-12-29 09:54 obones Status new => feedback
2009-12-29 10:19 AHUser Note Added: 0017043
2009-12-30 21:11 Robert Rossmair Note Added: 0017052
2009-12-30 21:45 obones Note Added: 0017053
2009-12-30 21:45 obones Status feedback => confirmed
2009-12-31 11:43 obones Note Added: 0017055
2009-12-31 11:43 obones Status confirmed => resolved
2009-12-31 11:43 obones Fixed in Version => Daily / SVN
2009-12-31 11:43 obones Resolution open => fixed
2009-12-31 11:43 obones Assigned To => obones
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker